<?php

/**
 * @author Eticons
 * @table(name=tb_cliente_sistema)
 */
class ClienteSistema {

    /**     * @id * @column(name=id_cliente) */
    private $id_cliente;
    /**     * @id * @column(name=id_sistema) */
    private $id_sistema;
    /**     * @column(name=data_implantacao, type=dateTime) */
    private $data_implantacao;
    /**     * @column(name=responsavel) */
    private $responsavel;
    /**     * @column(name=contador) */
    private $contador;
    /**     * @column(name=liberado) */
    private $liberado;
    /**     * @column(name=dataBloqueio) */
    private $dataBloqueio;
    /**     * @transient */
    private $nomeCliente;
    /**     * @transient */
    private $nomeSistema;

    public function getId_cliente() {
        return $this->id_cliente;
    }

    public function setId_cliente($id_cliente) {
        $this->id_cliente = $id_cliente;
    }

    public function getId_sistema() {
        return $this->id_sistema;
    }

    public function setId_sistema($id_sistema) {
        $this->id_sistema = $id_sistema;
    }

    public function getData_implantacao() {
        return $this->data_implantacao;
    }

    public function setData_implantacao($data_implantacao) {
        $this->data_implantacao = $data_implantacao;
    }

    public function getResponsavel() {
        return $this->responsavel;
    }

    public function setResponsavel($responsavel) {
        $this->responsavel = $responsavel;
    }

    public function getContador() {
        return $this->contador;
    }

    public function setContador($contador) {
        $this->contador = $contador;
    }

    public function getLiberado() {
        return $this->liberado;
    }

    public function setLiberado($liberado) {
        $this->liberado = $liberado;
    }

    public function getDataBloqueio() {
        return $this->dataBloqueio;
    }

    public function setDataBloqueio($dataBloqueio) {
        $this->dataBloqueio = $dataBloqueio;
    }

    public function getNomeCliente() {
        return $this->nomeCliente;
    }

    public function setNomeCliente($nomeCliente) {
        $this->nomeCliente = $nomeCliente;
    }

    public function getNomeSistema() {
        return $this->nomeSistema;
    }

    public function setNomeSistema($nomeSistema) {
        $this->nomeSistema = $nomeSistema;
    }

}

?>
